Skip to content

FilesController_setProfilePhoto

PUT
/api/files/profile-photo
curl --request PUT \
--url https://api.streams.chat/api/files/profile-photo \
--header 'Content-Type: application/json' \
--data '{ "assetId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'
Media typeapplication/json
object
assetId
required
string format: uuid
nullable /^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
Examplegenerated
{
"assetId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}